ApplicationParam (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.parser.acd
Class ApplicationParam

    java.lang.Object
      |
      +--org.emboss.jemboss.parser.acd.ApplicationParam

public class ApplicationParam
extends java.lang.Object

Field Summary
`private java.lang.String` | `attribute`
`private double` | `nvalue`
`private java.lang.String` | `svalue`

Constructor Summary
`ApplicationParam(java.lang.String attr, double nval)`
`ApplicationParam(java.lang.String attr, java.lang.String sval)`

Method Summary
`java.lang.String` | `getAttribute()`
`double` | `getValueDbl()`
`java.lang.String` | `getValueStr()`
`boolean` | `isParamValueString()`
`void` | `reset(double nval)`
`void` | `reset(java.lang.String sval)`
`void` | `setAttribute(java.lang.String attribute)`
`void` | `setValue(double nvalue)`
`void` | `setValue(java.lang.String svalue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attribute

    private java.lang.String attribute

### svalue

    private java.lang.String svalue

### nvalue

    private double nvalue

Constructor Detail

### ApplicationParam

    public ApplicationParam(java.lang.String attr,
                            java.lang.String sval)

### ApplicationParam

    public ApplicationParam(java.lang.String attr,
                            double nval)

Method Detail

### setAttribute

    public void setAttribute(java.lang.String attribute)

### reset

    public void reset(java.lang.String sval)

### reset

    public void reset(double nval)

### setValue

    public void setValue(java.lang.String svalue)

### setValue

    public void setValue(double nvalue)

### getAttribute

    public java.lang.String getAttribute()

### getValueStr

    public java.lang.String getValueStr()

### getValueDbl

    public double getValueDbl()

### isParamValueString

    public boolean isParamValueString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD